Jump to content
ElementaryOS France
  • 0

pilotes graphique et opengl [résolu]


Apache
 Share

Question

Salut à tous,

Je viens vers vous aujourd'hui car j'ai un petit souci.

Je m'explique :

J'ai métro last light redux qui demande opengl 4, alors je me suis dis, après vérification sur nvidia.com, chouette! avec ma GeForce 540M ça devrait le faire.

Ben pas du tout en fait,

glxinfo | grep "OpenGL version string"

OpenGL version string: 3.0 Mesa 11.2.0

Le pilote installé est le pilote libre X X.org et quand j'esssaye de passer sur un autre pilote, propriétaire ou non, j'ai un écran noir au redémarage juste après le bootloader d'elementary..

 

Ma question est la suivante, est-il possible de passer en opengl 4 sur le pilote X.org ?

Link to comment
Share on other sites

9 answers to this question

Recommended Posts

  • 0

Je tourne sous Feya.

 

J'ai déjà éssayé les 2 méthodes.

Par le dépôt oibaf rien ne change, je reste en opengl 3.0 et via le driver proprio j'ai un blackscreen au reboot.

 

Je pige pas...

 

Peut être que j'ai fais une fausse manip quelque part. J'ai du recemment faire une réinstall car le server X.org plantait l'ordi au démarrage. Ca venait aussi du pilote graphique.

Si j'avais connu la commande purge nvidia à ce moment là j'aurais peut être pas eu ce problème car tout fonctionnait nickel.

Link to comment
Share on other sites

  • 0

Salut, je viens de finir la réinstallation toute belle et propre de Loki, tout s'est bien passé (pour le moment).

 

Par contre, opengl est toujours en 3.0

root@Satellite-P770:/home/apache# glxinfo | grep OpenGL
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) Sandybridge Mobile 
OpenGL core profile version string: 3.3 (Core Profile) Mesa 11.2.0
OpenGL core profile shading language version string: 3.30
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.0 Mesa 11.2.0
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.0 Mesa 11.2.0
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
OpenGL ES profile extensions:

Et pas moyen de trouver la fenêtre où, comme sur Freya, on pouvait changer le pilote graphique et voir les ppa et tout et tout. Sur le centre d'application on à rien d'autre que les apps mise à jour..

Ils ont fait disparaître ça ou bien ?

Link to comment
Share on other sites

  • 0

J'ai peut être opengl 4 via le PPA oibaf, à tester.

 

Pour la fameuse fenêtre de choix du driver, en fait le paquet n'est plus installé par défaut, 

 

Ouvre AppCenter et installe le paquet "Software & Updates", ensuite tu le retrouvera dans le lanceur en cherchant "logiciels & mises à jour" :)

Link to comment
Share on other sites

  • 0

Pour l'instant tout fonctionne chez moi avec le pilote propriétaire.

Metro 2033 marche pas trop mal. Sauf que j'ai eu quelques extinction d'ordi bien sympa à cause de surchauffe. Du coup j'ai ouvert la bête pour aspirer tout le bazar. A voir ce que ça donne. J'ai pas encore tester.

 

Merci pour le tuyau du software & updates. Je me souvenais plus comment il s'appelait..

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...